//========================================================================================
//
//	File:				Part.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PART_H
#define PART_H

// ----- Framework Includes -----

#ifndef FWPART_H
#include "FWPart.h"
#endif

//========================================================================================
// Forward Class Desclarations
//========================================================================================

class FW_CPresentation;
class ODFrame;
class CViewTesterFrame;
class FW_CMenuEvent;
class FW_CMenuBar;

//========================================================================================
//	CLASS CViewTesterPart
//========================================================================================

class CViewTesterPart : public FW_CPart
{
public:
	FW_DECLARE_AUTO(CViewTesterPart)

//	Initialization/Destruction
public:
	CViewTesterPart(ODPart* odPart);
	virtual ~CViewTesterPart();

	virtual void Initialize(Environment* ev, ODStorageUnit* storageUnit, FW_Boolean fromStorage);
	
//	Inherited API
public:
	virtual FW_CContent* 	NewPartContent(Environment* ev);
	virtual FW_CFrame* 		NewFrame(Environment* ev,
									ODFrame* odFrame, 
									FW_CPresentation* presentation,
									FW_Boolean fromStorage);
	virtual FW_Handled 		DoMenu(Environment* ev, const FW_CMenuEvent& theMenuEvent);
	virtual FW_Handled 		DoAdjustMenus(Environment* ev, FW_CMenuBar* menuBar, FW_Boolean hasMenuFocus, FW_Boolean isRoot);
	virtual FW_Handled 		DoAbout(Environment* ev);

//	New API
	void					ChangeViews(Environment* ev, ODID viewID);
	FW_Boolean				UsingMacApp() { return fUsingMacApp; };
	ODID					GetTestViewID() { return fViewID; };
	void					ResetTestFrame() { fViewTestFrame = 0; };
	FW_Boolean				HasWarningsOn(Environment* ev);
	void					CheckForError(Environment* ev, FW_PlatformError error);
	void					OpenDialog(Environment* ev);

//	Private data
private:
	FW_CPresentation*		fMainPresentation;
	FW_CPresentation*		fTestPresentation;
	FW_CPresentation*		fDialogPresentation;
	
	CViewTesterFrame*		fViewTestFrame;
	ODID					fViewID;
	FW_Boolean				fUsingMacApp;
};

#endif
