//========================================================================================
//
//	File:				Part.r
//	Release Version:	$ ODF 2 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"

#ifndef __ODTYPES_R__
#include "ODTypes.r"
#endif

#ifndef FWBLDDEF_H
#include "FWBldDef.h"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

//-------------------------------------------------------------------------------------
// cfrg Resource
//-------------------------------------------------------------------------------------

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kViewTesterEditor,
		/* [2] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"ODFViewTester"
	}
};

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------

resource kODNameMappings (kKindCategoryMapID) {
	kODKind,
	{	/* array Types: 1 elements */
		/* [1] */
		kViewTesterKind,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kViewTesterCategory
			}
		}
	}
};

resource kODNameMappings (kEditorKindMapID) {
	kODEditorKinds,
	{	/* array Types: 1 elements */
		/* [1] */
		kViewTesterEditor,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kViewTesterKind
			}
		}
	}
};

resource kODNameMappings (kEditorUserStringMapID) {
	kODEditorUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kViewTesterEditor,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kViewTesterEditorUserString
		}
	}
};

resource kODNameMappings (kKindUserStringMapID) {
	kODKindUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kViewTesterKind,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kViewTesterKindUserString
		}
	}
};

resource kODNameMappings (kCategoryUserStringMapID) {
	kODCategoryUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kViewTesterCategory,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kViewTesterCategoryUserString
		}
	}
};

resource kODNameMappings (kOldMacOSTypeMapID) {
	kODKindOldMacOSType,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kViewTesterKind,
		kODIsMacOSType {
			kViewTesterOSType
		}
	}
};

//-------------------------------------------------------------------------------------
// BNDL Resources
//-------------------------------------------------------------------------------------

resource 'FREF' (128) {
	'shlb',
	0,
	""
};

resource 'FREF' (132) {
	'DFPt',
	1,
	""
};

resource 'FREF' (133) {
	'sFPt',
	2,
	""
};

resource 'BNDL' (128) {
	'ODFt',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, kEditorIconID
		}
	}
};

resource 'BNDL' (129) {
	'odtm',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			1, 132,
			/* [2] */
			2, 133
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			1, kDocumentIconID,
			/* [2] */
			2, kStationeryIconID
		}
	}
};

data 'odtm' (0, "Owner resource") {
	$"00"                                                 /* . */
};

data 'ODFN' (0, "Owner resource") {
	$"00"                                                 /* . */
};

include "MacIcons.rsrc" not 'ckid';
