//========================================================================================
//
//	File:				PartInfo.fr
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWPART_FR
#include "FWPart.fr"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

#ifndef FWWINDOW_K
#include "FWWindow.k"
#endif

//----------------------------------------------------------------------------------------
//	PartInfo Resource
//----------------------------------------------------------------------------------------

resource FW_RPartInfo(kPartInfoID)
{
	// ----- Icon ID
	kViewAsIconID,
	
	// ----- MenuBar ID
	kMenuBar,
	
	// ----- Document Window ID
	kDocumentWindowID,
	
	// ----- Part Name
	kViewTesterEditorUserString,
	
	// ----- PartKind
	kViewTesterKind
};

//----------------------------------------------------------------------------------------
//	Document Window Resource
//----------------------------------------------------------------------------------------

resource FW_RDocumentWindow(kDocumentWindowID)
{
	// ----- Size
	{FW_FIX(kPictureWidth), FW_FIX(kPictureHeight)},
	
	// ----- Position
	{FW_FIX(0), FW_FIX(0)},		// (0,0) means default position
	
	// ----- Style
	FW_kStandardWindow | FW_kHasCloseBox,

	// ----- Presentation
	kMainPresentation
};

//----------------------------------------------------------------------------------------
//	About Resource
//----------------------------------------------------------------------------------------

resource FW_RAbout(kAbout)
{
	// ----- Icon ID
	kAboutIconID,
	// ----- Part Name
	FW_RStyledText
	(
		FW_FIX(18), 
		FW_kBold, 
		"times", 
		"ODF ViewTester"
	),
	// ----- Version Number
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODF Release 2"
	),
	// ----- Credits
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ViewTester is a tool for testing the conversion of MacApp and PowerPlant"
		"views.  Please see the User Guide for more information\r\r"
		"Written by the ODF Team.\r"
	),
	// ----- ButtonString
	"OK",
	// ----- ButtonSize
	{FW_FIX(80), FW_FIX(30)}
};
