//========================================================================================
//	File:				Views.fr
//	Release Version:	$ ODF 2 $
//
//	Contains:			Resources defining the ViewTester dialog
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

#ifndef FWNOTDEF_H
#include "FWNotDef.h"	 
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

//========================================================================================
// Defines
//========================================================================================

#define GENEVA_10		{ FW_FIX(10), FW_kPlain, "applFont" }

#define H	FW_FIX(kPictureWidth)
#define V	FW_FIX(kPictureHeight)
#define H1	H + FW_FIX(1)
#define V1	V + FW_FIX(1)

//========================================================================================
// resource RFormFrame(kMainViewID)
//========================================================================================
// See constants in "FWViews.k", macros & resource types in "FWViews.fr"

resource FW_RFrameLayout(kMainViewID)
{
	{ H, V},					// LayoutSize
	
	{						// Start list of frame's subviews
		FW_RPictSView
		(
			0,							// view id
			{0, 0, H, V},				// bounds
			FW_kFixedBounds,			// bindings
			{FW_FIX(0),FW_FIX(0)},		// will use the pict size
			0,							// Make it the ContentView
			FW_kNoScrolling,			// scrolling direction
			{ },						// no subviews
			128							// picture id
		),
		FW_REditView	
		(
			1,								// view id
			{ FW_FIX(14),FW_FIX(448),FW_FIX(556),FW_FIX(476)},
			FW_kFixedBounds,				// binding
			-1,								// max chars
			13,								// attributes
			GENEVA_10,
			""								// initial text
		),
		FW_RButton
		(
			2,								// view id
			{ FW_FIX(190),FW_FIX(480),FW_FIX(395),FW_FIX(495)},
			FW_kFixedBounds,				// binding
			0,								// control message
			0,								// control receiver
			0,								// control value
			FW_kCheckButton,				// button kind
			GENEVA_10,
			"Turn Off Warnings (Debugger breaks)"			
		)
#if 0
		,
		FW_RGrowBox
		(
			'grow',						// view ID
			{H - FW_SBSIZE, V - FW_SBSIZE, H1, V1},		// bounds
			FW_kGrowBoxBinding			// standard grow box binding
		)
#endif
	},						// End list of frame's subviews
	{ }						// no scroller
};

//========================================================================================
// resource FW_RFrameLayout(kDialogID)
//========================================================================================
// See constants in "FWViews.k", macros & resource types in "FWViews.fr"

resource FW_RFrameLayout(kDialogID)
{
	{FW_FIX(100),FW_FIX(100)},		// LayoutSize
	
	{						// Start list of frame's subviews
		FW_RStaticText
		(
			0,							// view id
			{ FW_FIX(10),FW_FIX(5),FW_FIX(280),FW_FIX(30)},
			FW_kFixedBounds,			// binding
			GENEVA_10,
			FW_RGB_WHITE,
			"Pick a resource name from the popup or type an id             \r(popup shows only named resources)"			
		),
		FW_RPopupMenu
		(
			kMacAppPopupID,				// view id
			{ FW_FIX(5),FW_FIX(40),FW_FIX(250),FW_FIX(60)},
			FW_kFixedBounds,				// binding
			FW_kPopupClickedMsg,			// control message
			FW_kFrameReceiver,				// control receiver
			0,								// control value
			128,							// Mac menu id
			110,							// title width
			1,								// Initial menu item
			4,								// Menu variation controls.h
			'View',							// Menu refCon	
			FW_SYSTEM_FONT,
			"MacApp Views"					// title
		),
		FW_RPopupMenu
		(
			kPPobPopupID,				// view id
			{ FW_FIX(5),FW_FIX(70),FW_FIX(250),FW_FIX(90)},
			FW_kFixedBounds,				// binding
			FW_kPopupClickedMsg,			// control message
			FW_kFrameReceiver,				// control receiver
			0,								// control value
			129,							// Mac menu id
			110,							// title width
			1,								// Initial menu item
			4,								// Menu variation controls.h
			'PPob',							// Menu refCon	
			FW_SYSTEM_FONT,
			"PPob Resources"				// title
		),
		FW_REditView		// edit view to enter new password
		(
			kMacAppEditID,			// view id
			{ FW_FIX(260),FW_FIX(40),FW_FIX(320),FW_FIX(60)},
			FW_kFixedBounds,			// binding
			10,							// max chars
			9,							// attributes
			FW_NORMAL_FONT, 
			""							// initial text
		), 
		FW_REditView		// edit view to enter new password
		(
			kPPobEditID,			// view id
			{ FW_FIX(260),FW_FIX(70),FW_FIX(320),FW_FIX(90)},
			FW_kFixedBounds,			// binding
			10,							// max chars
			9,							// attributes
			FW_NORMAL_FONT, 
			""							// initial text
		), 
		FW_RButton
		(
			kOKButtonID,				// view id
			{ FW_FIX(180),FW_FIX(120),FW_FIX(260),FW_FIX(148)},
			FW_kFixedBounds,			// binding
			FW_kDefaultButtonMsg,		// "OK" message
			0,							// receiver = dialogFrame by default
			0,							// control value
			FW_kDefaultPushButton,		// button kind (with outline)
			FW_SYSTEM_FONT,
			"OK"			
		),
		FW_RButton
		(
			kCancelButtonID,			// view id
			{ FW_FIX(60),FW_FIX(123),FW_FIX(120),FW_FIX(145)},
			FW_kFixedBounds,			// binding
			FW_kCancelButtonMsg,		// "Cancel" message
			0,							// receiver = dialogFrame by default
			0,							// control value
			FW_kPushButton,				// button kind
			FW_SYSTEM_FONT,
			"Cancel"			
		)
	},						// End list of frame's subviews
	{ }						// no scroller
}; 
